#
# spec file for package xfce4-session
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           xfce4-session
Version:        4.8.0
Release:        7.12.1
Summary:        Xfce Session manager
License:        GPL-2.0+
Group:          System/GUI/XFCE
Url:            http://www.xfce.org/projects/xfce4-session/
Source:         %{name}-%{version}.tar.bz2
Patch0:         xfce4-session-4.7.1-fix-missing-include.patch
# PATCH-FEATURE-OPENSUSE xfce4-session-simple-splash-remove-shadows.patch gber@opensuse.org -- Improves readability of the simple splash engine text by removing the text shadows
Patch1:         xfce4-session-simple-splash-remove-shadows.patch
# PATCH-FIX-UPSTREAM xfce4-session-4.8.0-fix-fast-cli-option.patch gber@opensuse.org -- Fixes the use of the --fast cli option with other options (backported from upstream git)
Patch2:         xfce4-session-4.8.0-fix-fast-cli-option.patch
# PATCH-FIX-UPSTREAM xfce4-session-4.8.0-fix-error-popup-on-session-menu-item.patch gber@opensuse.org -- Fixes the error popup when clicking a session menu item (backported from upstream git)
Patch3:         xfce4-session-4.8.0-fix-error-popup-on-session-menu-item.patch
# PATCH-FIX-UPSTREAM xfce4-session-4.8.0-do-not-fall-back-to-system-icons.patch gber@opensuse.org -- Prevents the logout dialog from falling back to system-* rather than xfsm-* icons (backported from upstream git)
Patch4:         xfce4-session-4.8.0-do-not-fall-back-to-system-icons.patch
# PATCH-FEATURE-UPSTREAM xfce4-session-lock-screen-on-suspend-hibernate.patch bxo#6019 gber@opensuse.org -- Try to lock the screen when hibernating/suspending
Patch5:         xfce4-session-lock-screen-on-suspend-hibernate.patch
BuildRequires:  docbook-xsl-stylesheets
BuildRequires:  docbook_4
BuildRequires:  intltool
BuildRequires:  libxslt
BuildRequires:  perl-XML-Parser
BuildRequires:  update-desktop-files
BuildRequires:  xml2po
BuildRequires:  xorg-x11
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(gnome-keyring-1)
BuildRequires:  pkgconfig(libwnck-1.0)
BuildRequires:  pkgconfig(libxfce4panel-1.0)
BuildRequires:  pkgconfig(libxfce4ui-1)
BuildRequires:  pkgconfig(libxfce4util-1.0)
BuildRequires:  pkgconfig(libxfcegui4-1.0)
BuildRequires:  pkgconfig(libxfconf-0)
Requires:       %{name}-branding >= %{version}
Requires:       xfce-utils
Recommends:     fortune
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
xfce4-session is the session manager for the Xfce desktop environment.

%package        devel

Summary:        Development files for xfce4-session
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       pkgconfig(dbus-glib-1)
Requires:       pkgconfig(libwnck-1.0)
Requires:       pkgconfig(libxfce4ui-1)
Requires:       pkgconfig(libxfce4util-1.0)
Requires:       pkgconfig(libxfcegui4-1.0)
Requires:       pkgconfig(libxfconf-0)

%description devel
xfce4-session is the session manager for the Xfce desktop environment.

This package contains development files needed to develop custom splash themes.

%package branding-upstream

Summary:        Upstream branding of xfce4-session
Group:          System/GUI/XFCE
Supplements:    packageand(%{name}:branding-upstream)
Provides:       %{name}-branding = %{version}
Conflicts:      otherproviders(%{name}-branding)
# BRAND: xfce4-session.xml: Control session parameters such as the tools and
# BRAND: applications started by default or the splash theme.
# BRAND: xfce4-tips-autostart.desktop: Control whether xfce4-tips is started
# BRAND: by default.
BuildArch:      noarch

%description branding-upstream
This package provides the upstream look and feel for the Xfce Session Manager.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%configure \
    --docdir=%{_defaultdocdir}/%{name} \
    --disable-static \
    --enable-session-screenshots \
    --enable-gnome \
    --enable-libgnome-keyring \
    --enable-gen-doc
make %{?_smp_mflags} V=1

%install
%make_install
%suse_update_desktop_file xfce-session-settings
%suse_update_desktop_file xfce4-session-logout
%suse_update_desktop_file xfce4-tips-autostart
install -p -m 644 AUTHORS BUGS COPYING ChangeLog NEWS README TODO \
    %{buildroot}/%{_defaultdocdir}/%{name}
rm -rf %{buildroot}%{_datadir}/locale/{ast,kk,tl_PH,ur_PK}
%find_lang %{name}
rm -f %{buildroot}%{_libdir}/*.la %{buildroot}%{_libdir}/xfce4/session/splash-engines/*.la

%clean
rm -rf %{buildroot}

%post
%run_suseconfig -m gtk2
/sbin/ldconfig
%if 0%{?suse_version} >= 1140
%desktop_database_post
%icon_theme_cache_post
%endif

%postun
/sbin/ldconfig
%if 0%{?suse_version} >= 1140
%desktop_database_postun
%icon_theme_cache_postun
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc %{_defaultdocdir}/%{name}
%{_bindir}/xfce4-session
%{_bindir}/xfce4-session-logout
%{_bindir}/xfce4-session-settings
%{_bindir}/xfce4-tips
%{_libdir}/xfce4
%{_libdir}/*.so.*
%{_mandir}/*/*
%{_datadir}/themes/*
%{_datadir}/applications/*
%{_datadir}/icons/*/*
%{_datadir}/xfce4/

%files devel
%defattr(-,root,root)
%{_includedir}/xfce4/*/
%{_libdir}/pkgconfig/*
%{_libdir}/*.so

%files branding-upstream
%defattr(-,root,root)
%dir %{_sysconfdir}/xdg/xfce4
%dir %{_sysconfdir}/xdg/xfce4/xfconf
%dir %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml
%config %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-session.xml
%config %{_sysconfdir}/xdg/autostart/xfce4-tips-autostart.desktop

%changelog
* Tue Jan 10 2012 gber@opensuse.org
- added xfce4-session-lock-screen-on-suspend-hibernate.patch in
  order to try to locking the screen when hibernating/suspending
  when xfce4-power-manager is configured to do so (bnc#740566,
  bxo#6019)
* Fri Feb 18 2011 gber@opensuse.org
- call %%desktop_database_post/un
- call %%icon_theme_cache_post/un
* Thu Feb  3 2011 gber@opensuse.org
- added xfce4-session-4.8.0-fix-fast-cli-option.patch which fixes
  the use of the --fast cli option with other options
- added
  xfce4-session-4.8.0-fix-error-popup-on-session-menu-item.patch
  which fixes the error popup when clicking a session menu item
- added xfce4-session-4.8.0-do-not-fall-back-to-system-icons.patch
  in order to prevent visual inconsistencies in the logout dialog
* Wed Feb  2 2011 gber@opensuse.org
- added xfce4-session-simple-splash-remove-shadows.patch which
  improves readability of the simple splash engine text by removing
  the text shadows
- enabled support for GNOME keyring and assistive technologies
- generate documentation
* Mon Jan 17 2011 gber@opensuse.org
- update to version 4.8.8
  - bugfixes
* Tue Jan 11 2011 gber@opensuse.org
- removed dependency on xfconf
* Wed Jan  5 2011 gber@opensuse.org
- use consistent wording for branding packages
* Mon Dec 27 2010 gber@opensuse.org
- show compiler output
* Mon Dec 27 2010 gber@opensuse.org
- use %%%%suse_update_desktop_file for files in /etc/xdg/autostart
* Mon Dec 27 2010 gber@opensuse.org
- fixed typo
* Mon Dec 27 2010 gber@opensuse.org
- add proper BRAND comment
* Mon Dec 27 2010 gber@opensuse.org
- correct url, groups
- improve summaries/descriptions
- remove unsupported locales
- do not install documentation in /usr/share/doc
- moved xfce4-tips-autostart.desktop into the branding supackage in
  order to allow disabling startup tips as part of the branding
- remove all libtool files
* Sun Dec  5 2010 prusnak@opensuse.org
- updated to 4.7.2
  - Do not try "unix-session" authorization with PolicyKit as this
    seems to be either broken or not implemented in PolicyKit (bug #6817).
    This fixes suspend/hibernate in xfce4-session-logout.
  - Fix possibly shadowed variables.
  - Fix compilation on FreeBSD with polkit (bug #6870).
  - Restore splash screen functionality (bug #6831).
  - Fix logout with sudo.
  - Translation updates (de, pt_BR, zh_CN, el, uk, it, id, ja, kk, pt).
  - Do not try "unix-session" authorization with PolicyKit as this
    seems to be either broken or not implemented in PolicyKit (bug #6817).
    This fixes suspend/hibernate in xfce4-session-logout.
  - Fix possibly shadowed variables.
  - Fix compilation on FreeBSD with polkit (bug #6870).
  - Restore splash screen functionality (bug #6831).
  - Fix logout with sudo.
  - Translation updates (de, pt_BR, zh_CN, el, uk, it, id, ja, kk, pt).
* Fri Dec  3 2010 gber@opensuse.org
- require xfce4-utils
* Wed Dec  1 2010 prusnak@opensuse.org
- use pkgconfig symbol in BuildRequires
* Fri Nov 26 2010 gber@opensuse.org
- added xfce4-session-4.7.1-fix-missing-include.patch to fix
  missing include
* Sun Jul 18 2010 bernhard@bwalle.de
- updated to 4.6.2
  o Build fixes for GIT.
  o Add timing information to verbose output.
  o If it looks like the helper got killed, just return success (bug #4849).
  o Translation updates (de, es, gl, hu, id, pl, pt, ru, tr, uk, ro,
    lv, ur, ur_PK, ast, sk, nl, it, kk).
- Drop xfce4-session-logout-de.diff: Upstream.
* Thu May 13 2010 bernhard@bwalle.de
- Fix invalid character in the logout dialog in the German
  translation which lead Gtk to not interpret the markup. Instead,
  the raw markup code was displayed.
* Thu Mar 18 2010 prusnak@suse.cz
- build branding subpackage as noarch
* Thu Dec 10 2009 aj@suse.de
- Remove unused BuildRequires hal-devel
* Mon Apr 27 2009 prusnak@suse.cz
- updated to 4.6.1
  * Fix crash in settings dialog when a .desktop file with a missing
    Application key is opened (bug 5020).
  * Ensure networked session handling over TCP is disabled by
    default (bug 5126).
* Mon Mar  2 2009 prusnak@suse.cz
- xfce4-tips prints tips without calling fortune (tips-no-fortune.patch)
* Wed Jan 28 2009 crrodriguez@suse.de
- remove static libraries and "la" files
* Tue Nov 18 2008 pnemec@suse.cz
- call update_desktop_file macro on desktop files [bnc#445722]
* Fri Nov 14 2008 prusnak@suse.cz
- updated suspend_hibernate.patch and renamed to logout-dialog
  * adds switch user button, only works with gdm
- fixed crash in autostart-editor (autostart-editor-crash.patch)
* Wed Oct 29 2008 bwalle@suse.de
- update to 4.4.3
  * translation polish
  * added icons
* Thu Aug 21 2008 prusnak@suse.cz
- added patch for parallel start (faster-start.patch)
* Tue Dec  4 2007 prusnak@suse.cz
- use %%find_lang macro
* Mon Dec  3 2007 bwalle@suse.de
- update to 4.4.2
  o Updated and new translations
* Sat Jun 23 2007 bwalle@suse.de
- replaced group 'System/GUI/Other' by 'System/GUI/XFCE'
* Tue May 22 2007 prusnak@suse.cz
- include 3 files to package
- sync with BuildService
* Sun Apr 15 2007 bwalle@suse.de
- fix build
* Tue Apr 10 2007 bwalle@suse.de
- update to 4.4.1 (no upstream changelog for this subpackage)
* Sat Mar  3 2007 aj@suse.de
- /etc/xdg/autostart is part of filesystem now.
* Sun Jan 21 2007 bwalle@suse.de
- upgraded to 4.4.0
* Wed Feb  8 2006 pnemec@suse.cz
- added xfce4-desktop and xfwm to requires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 21 2006 cthiel@suse.de
- really update to 4.2.3
* Mon Jan 16 2006 pnemec@suse.cz
- update to 4.2.3
* Wed Sep 14 2005 cthiel@suse.de
- specfile cleanup
* Mon Aug  1 2005 cthiel@suse.de
- fixed Requires
* Wed May 18 2005 cthiel@suse.de
- update to 4.2.2
* Tue Apr 12 2005 cthiel@suse.de
- initial version
